def validate_property(component, prop_type, prop_name, default_val=None, visible=True, step_values=[], limits=[], unit=''):
  prop = component.getProperty(prop_name)
  if prop:
    if prop.Type != prop_type:
      prop = component.deleteProperty(prop)
    elif (prop.StepValues is not None and not step_values) or (prop.StepValues is None and step_values):
      prop = component.deleteProperty(prop)
    elif (prop.MinValue is not None and not limits) or (prop.MinValue is None and limits):
      prop = component.deleteProperty(prop)
  if prop and step_values and prop.StepValues != step_values:
    prop.StepValues = step_values
    prop.Value = prop.StepValues[0]
  if prop and not step_values and len(limits) == 2 and (prop.MinValue != limits[0] or prop.MaxValue != limits[1]):
    prop.MinValue=limits[0]
    prop.MaxValue=limits[1]
  if not prop:
    if step_values:
      prop = component.createProperty(prop_type, prop_name, VC_PROPERTY_STEP)
      prop.StepValues = step_values
      prop.Value = prop.StepValues[0]
    elif limits:
      prop = component.createProperty(prop_type, prop_name, VC_PROPERTY_LIMIT)
      prop.MinValue = limits[0]
      prop.MaxValue = limits[1]
    else:
      prop = component.createProperty(prop_type, prop_name)
  if prop:
    if default_val is not None:
      prop.Value = default_val
    if unit:
      prop.Quantity = unit
    prop.IsVisible = visible
  return prop